Bug 221823 - Move EditorFindSupport to module Editor.Search
Move EditorFindSupport to module Editor.Search
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Search
7.3
PC Linux
: P3 (vote)
: 7.4
Assigned To: Milutin Kristofic
issues@editor
:
Depends on:
Blocks: 208318 220909
  Show dependency treegraph
 
Reported: 2012-11-09 13:52 UTC by Milutin Kristofic
Modified: 2013-02-07 03:07 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
Patch for moving search actions and editorfindsupport to editor.search. (96.25 KB, patch)
2013-01-30 15:44 UTC, Milutin Kristofic
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Milutin Kristofic 2012-11-09 13:52:56 UTC
There is implementation dependency of editor search module to editor library 2. 

Moving classes:
EditorFindSupport
DocumentFinder
FindNextAction
FindPreviousAction
FindSelectionAction
ToggleHighlightSearchAction

to editor.search will help to:

1, Implement new Features and fix Bugs.
2, Removing editor module dependency on Search in Projects API
3, Cleaning code and duplicity.
Comment 1 Milutin Kristofic 2013-01-30 15:44:12 UTC
Created attachment 130846 [details]
Patch for moving search actions and editorfindsupport to editor.search.

Please review changes.

The search actions from ActionFactory where moved to editor.search module. DocumentFinder was removed as unused by new search implementation.
+                    check-sigtest:
+                    [mkdir] Created dir: /home/mito/nb/develop/editor.lib/build/test/sigtest/results
+                    [sigtest] /home/mito/nb/develop/editor.lib/build/test/sigtest/results/org.netbeans.modules.editor.lib
+                    [sigtest] Packages: org.netbeans.editor.*, org.netbeans.editor.ext.*, org.netbeans.editor.view.spi.*, org.netbeans.lib.editor.hyperlink.spi.*, org.netbeans.lib.editor.view.*
+                    [sigtest]
+                    [sigtest] email: api-changes@netbeans.org
+                    [sigtest] SignatureTest report
+                    [sigtest] Base version: 3.34.0
+                    [sigtest] Tested version: 3.34.0
+                    [sigtest] Check mode: bin [throws removed]
+                    [sigtest] Constant checking: on
+                    [sigtest]
+                    [sigtest]
+                    [sigtest] Class org.netbeans.editor.ActionFactory$FindNextAction
+                    [sigtest]   "E1.2 - API type removed" : CLASS public static org.netbeans.editor.ActionFactory$FindNextAction
+                    [sigtest]
+                    [sigtest] Class org.netbeans.editor.ActionFactory$FindPreviousAction
+                    [sigtest]   "E1.2 - API type removed" : CLASS public static org.netbeans.editor.ActionFactory$FindPreviousAction
+                    [sigtest]
+                    [sigtest] Class org.netbeans.editor.ActionFactory$FindSelectionAction
+                    [sigtest]   "E1.2 - API type removed" : CLASS public static org.netbeans.editor.ActionFactory$FindSelectionAction
+                    [sigtest]
+                    [sigtest] Class org.netbeans.editor.ActionFactory$ToggleHighlightSearchAction
+                    [sigtest]   "E1.2 - API type removed" : CLASS public static org.netbeans.editor.ActionFactory$ToggleHighlightSearchAction
+                    [sigtest]
+                    [sigtest] Class org.netbeans.editor.DocumentFinder
+                    [sigtest]   "E1.2 - API type removed" : CLASS public org.netbeans.editor.DocumentFinder
+                    [sigtest]
+                    [sigtest] Class org.netbeans.editor.DocumentFinder$FindReplaceResult
+                    [sigtest]   "E1.2 - API type removed" : CLASS public static org.netbeans.editor.DocumentFinder$FindReplaceResult
+                    [sigtest]
+                    [sigtest] /home/mito/nb/develop/editor.lib/build/test/sigtest/results/org-netbeans-modules-editor-lib.xml: 1 failures in /home/mito/nb/develop/editor.lib/nbproject/org-netbeans-modules-editor-lib.sig
Comment 2 Milutin Kristofic 2013-02-06 13:22:39 UTC
Integrated with
http://hg.netbeans.org/jet-main/rev/43771533b7fb
Comment 3 Quality Engineering 2013-02-07 03:07:37 UTC
Integrated into 'main-golden', will be available in build *201302070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/43771533b7fb
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #221823 - Move EditorFindSupport to module Editor.Search


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo